"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSelectParams = exports.getValidWriteCommandOptions = exports.getValidCommandOptions = void 0;
function getValidCommandOptions(options, defaultTimeout) {
    return {
        INAmask: (options.INAmask !== undefined) ? options.INAmask : 0,
        INAdata: (options.INAdata !== undefined) ? options.INAdata : 0,
        INBmask: (options.INBmask !== undefined) ? options.INBmask : 0,
        INBdata: (options.INBdata !== undefined) ? options.INBdata : 0,
        timeout: (options.timeout !== undefined) ? options.timeout : defaultTimeout
    };
}
exports.getValidCommandOptions = getValidCommandOptions;
function getValidWriteCommandOptions(options, defaultTimeout) {
    return {
        ...getValidCommandOptions(options, defaultTimeout),
        checksum: (options.checksum !== undefined) ? options.checksum : true,
        hex: (options.hex !== undefined) ? options.hex : false
    };
}
exports.getValidWriteCommandOptions = getValidWriteCommandOptions;
function getSelectParams(options) {
    return [options.INAmask, options.INAdata, options.INBmask, options.INBdata]
        .map(p => p.toString(16).toUpperCase())
        .join(' ');
}
exports.getSelectParams = getSelectParams;
//# sourceMappingURL=options.js.map