"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.propCheck = void 0;
const errors_1 = require("./errors");
const options_1 = require("./options");
async function propCheck(port, options = {}) {
    if (!port.isOpen) {
        throw new Error('Port is not open.');
    }
    return new Promise((resolve, reject) => {
        const opt = options_1.getValidCommandOptions(options, 100);
        const cmd = `>Prop_Chk ${options_1.getSelectParams(opt)}\r`;
        const responsePattern = /\r\nProp_Ver ([A-Z])\r\n/;
        let response = '';
        const callback = (data) => {
            response += data;
            // eslint-disable-next-line @typescript-eslint/prefer-regexp-exec
            const matches = response.match(responsePattern);
            if (matches) {
                clearTimeout(h);
                port.off('data', callback);
                resolve(matches[1]);
            }
        };
        const h = setTimeout(() => {
            port.off('data', callback);
            reject(new errors_1.TimeoutError());
        }, opt.timeout);
        port.write(cmd);
        port.on('data', callback);
    });
}
exports.propCheck = propCheck;
//# sourceMappingURL=prop_check.js.map