"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.propClk = void 0;
const errors_1 = require("./errors");
const options_1 = require("./options");
const prop_reset_1 = require("./prop_reset");
const utils_1 = require("./utils");
function propClk(port, value, options = {}) {
    if (!port.isOpen) {
        throw new Error('Port is not open.');
    }
    const opt = options_1.getValidCommandOptions(options, 100);
    port.write(`> Prop_Clk ${options_1.getSelectParams(opt)} ${value.toString(16).toUpperCase()}\r`);
    return new Promise((resolve, reject) => {
        const callback = (data) => {
            clearTimeout(h);
            port.off('data', callback);
            if (data === '.') {
                resolve();
            }
            else {
                reject(new errors_1.LoaderError());
            }
        };
        const h = setTimeout(() => {
            port.off('data', callback);
            reject(new errors_1.TimeoutError());
        }, opt.timeout);
        port.on('data', callback);
    })
        .then(() => utils_1.waitForDuration(10))
        .then(() => { port.write(prop_reset_1.AUTOBAUD_PREAMBLE); });
}
exports.propClk = propClk;
//# sourceMappingURL=prop_clk.js.map