"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.propReset = exports.AUTOBAUD_PREAMBLE = void 0;
const utils_1 = require("./utils");
exports.AUTOBAUD_PREAMBLE = '> ';
async function propReset(port, sendPreamble = true) {
    if (!port.isOpen) {
        throw new Error('Port is not open.');
    }
    port.set({
        dtr: true
    });
    await utils_1.waitForDuration(10);
    port.set({
        dtr: false
    });
    if (sendPreamble) {
        await utils_1.waitForDuration(20);
        port.write(exports.AUTOBAUD_PREAMBLE);
    }
}
exports.propReset = propReset;
//# sourceMappingURL=prop_reset.js.map